package com.memorynotfound.springboot.test;

import com.memorynotfound.springboot.Configuration;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringRunner;
import static org.assertj.core.api.Assertions.assertThat;


@SpringBootTest
@ActiveProfiles("dev")
@RunWith(SpringRunner.class)
public class ConfigurationTest {

    @Autowired
    Configuration configuration;

    @Test
    public void testDevelopmentProfile(){
        String name = configuration.getName();
        assertThat(name).contains("development");
    }
}
